Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans.support
Interface PagedListSourceProvider

Deprecated. as of Spring 2.5, to be removed in Spring 3.0

    public interface PagedListSourceProvider

Callback that provides the source for a reloadable List. Used by `RefreshablePagedListHolder`.

Author:
  Jean-Pierre Pawlak, Juergen Hoeller
See Also:
  `RefreshablePagedListHolder.setSourceProvider(org.springframework.beans.support.PagedListSourceProvider)`

Method Summary
`List` | `loadList(Locale locale, Object filter)` Deprecated. Load the List for the given Locale and filter settings.

Method Detail

### loadList

    List loadList(Locale locale,
                  Object filter)

  Deprecated.
  Load the List for the given Locale and filter settings. The filter object can be of any custom class, preferably a bean for easy data binding from a request. An instance will simply get passed through to this callback method.

  Parameters:
    `locale` - Locale that the List should be loaded for, or `null` if not locale-specific
    `filter` - object representing filter settings, or `null` if no filter options are used
  Returns:
    the loaded List
  See Also:
    `RefreshablePagedListHolder.setLocale(java.util.Locale)`, `RefreshablePagedListHolder.setFilter(java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.